Package com.evopdf

# Class ExplicitDestination

java.lang.Object
com.evopdf.ExplicitDestination

public class ExplicitDestination extends Object
Represents a destination in the PDF document for links, bookmarks and other interactive PDF features

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExplicitDestination(PdfPage page)`
  Constructs a destination to the specified page
  `ExplicitDestination(PdfPage page, PointFloat point)`
  Constructs a destination to the specified location in the specified page
  `ExplicitDestination(PdfPage page, PointFloat point, DestinationViewMode viewMode)`
  Constructs a destination to the specified location in the specified page and with the specified view mode of the destination page

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PdfPage`
  `destPage()`
  Gets the destination page
  `PointFloat`
  `point()`
  Gets the destination point in destination page
  `void`
  `setViewMode(DestinationViewMode viewMode)`
  Set the view mode of the destination page
  `void`
  `setZoomPercentage(int zoomPercentage)`
  Sets the zoom percentage of the destination page when viewed in the viewer and the view mode is XYZ (for example a 100 value will not zoom the page)
  `DestinationViewMode`
  `viewMode()`
  Gets the view mode of the destination page
  `int`
  `zoomPercentage()`
  Gets the zoom percentage of the destination page when viewed in the viewer and the view mode is XYZ (for example a 100 value will not zoom the page)

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExplicitDestination

    public ExplicitDestination(PdfPage page)
    Constructs a destination to the specified page
    Parameters:
      `page` - the destination page

  - ### ExplicitDestination

    public ExplicitDestination(PdfPage page, PointFloat point)
    Constructs a destination to the specified location in the specified page
    Parameters:
      `page` - the destination page
      `point` - the destination point in page

  - ### ExplicitDestination

    public ExplicitDestination(PdfPage page, PointFloat point, DestinationViewMode viewMode)
    Constructs a destination to the specified location in the specified page and with the specified view mode of the destination page
    Parameters:
      `page` - the destination page
      `point` - the destination point in page
      `viewMode` - the destination view mode

- ## Method Details

  - ### point

    public PointFloat point()
    Gets the destination point in destination page
    Returns:
      the destination point in destination page

  - ### zoomPercentage

    public int zoomPercentage()
    Gets the zoom percentage of the destination page when viewed in the viewer and the view mode is XYZ (for example a 100 value will not zoom the page)
    Returns:
      the zoom percentage

  - ### setZoomPercentage

    public void setZoomPercentage(int zoomPercentage)
    Sets the zoom percentage of the destination page when viewed in the viewer and the view mode is XYZ (for example a 100 value will not zoom the page)
    Parameters:
      `zoomPercentage` - the zoom percentage to set

  - ### destPage

    public PdfPage destPage()
    Gets the destination page
    Returns:
      the destination page

  - ### viewMode

    public DestinationViewMode viewMode()
    Gets the view mode of the destination page
    Returns:
      the view mode of the destination page

  - ### setViewMode

    public void setViewMode(DestinationViewMode viewMode)
    Set the view mode of the destination page
    Parameters:
      `viewMode` - the view mode of the destination page to set